# List Patient Attachment Folders By Patient Endpoint: GET /patient/{client_id}/patient_attachment_folder Version: v1 Security: x-api-key, a-api-key ## Query parameters: - `page` (integer) Example: 1 - `page_size` (integer) Example: 50 - `sort_by` (array) Comma separated search fields. See Sorting Example: ["[\"field_name\",\"field_name\"]"] ## Path parameters: - `client_id` (integer, required) ## Response 200 fields (application/json): - `attachment_client_folders` (array) - `attachment_client_folders.row_num` (integer) - `attachment_client_folders.total_rows` (integer) - `attachment_client_folders.links` (object) - `attachment_client_folders.links.self` (string) Example: "https://api.pracsuite.com/v1/patient_attachment_folder/1" - `attachment_client_folders.links.patient_attachments` (string) Example: "https://api.pracsuite.com/v1/patient_attachment_folder/1/patient_attachment" - `attachment_client_folders.tenant_id` (integer) - `attachment_client_folders.attachment_client_folder_id` (integer) - `attachment_client_folders.client_id` (integer) - `attachment_client_folders.description` (string) - `total_entries` (integer) ## Response 400 fields (application/json): - `error` (object, required) - `error.status` (integer) Example: 400 - `error.code` (string) Example: "INVALID_PARAMS" - `error.detail` (string) Human readable explanation of the error Example: "One or more request parameters are invalid." - `request_id` (string, required) Example: "00000000-0000-0000-0000-000000000000" ## Response 401 fields (application/json): - `error` (object, required) - `error.status` (integer) Example: 403 - `error.code` (string) Example: "UNAUTHORIZED" - `error.detail` (string) Human readable explanation of the error Example: "Access could not be verified for this request." - `request_id` (string, required) Example: "00000000-0000-0000-0000-000000000000" ## Response 403 fields (application/json): - `error` (object, required) - `error.status` (integer) Example: 403 - `error.code` (string) Example: "MISSING_AUTHENTICATION_TOKEN" - `error.detail` (string) Human readable explanation of the error Example: "Authentication token is missing or the requested endpoint does not exist" - `request_id` (string, required) Example: "00000000-0000-0000-0000-000000000000" ## Response 500 fields (application/json): - `error` (object, required) - `error.status` (integer) Example: 500 - `error.code` (string) Example: "SERVER_ERROR" - `error.detail` (string) Human readable explanation of the error Example: "An unexpected error occurred while processing your request. Please try again in a few minutes. If it keeps happening, contact support with Request ID: 00000000-0000-0000-0000-000000000000." - `request_id` (string, required) Example: "00000000-0000-0000-0000-000000000000"